Subject: Re: bug#12498: tail: unrecognized file system
From: Jim Meyering <[email-masked]>
To: Marius Bjørnstad <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 Sep 2012 08:59:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bjørnstad wrote:
> I get this message when doing tail -f on a file which is stored on ZFS.
>
> tail: unrecognized file system type 0x2fc12fc1 for `messages'. please
> report this to [email-masked]. reverting to polling
>
> [I normally wouldn't report this as it's an unusual filesystem and tail
> -f still works fine, but I'll do it as it asked me to :]

Thank you for reporting that.  That was addressed not long ago.
Those changes will be in the upcoming coreutils-8.20 release:
[so I've marked the your auto-created issue as "done"]

From
  http://git.sv.gnu.org/cgit/coreutils.git/tree/NEWS

  ** Improvements
    ...

    stat and tail know about ZFS, VZFS and VMHGFS.  stat -f --format=%T now
    reports the file system type, and tail -f now uses inotify for files on
    ZFS and VZFS file systems, rather than the default (for unknown file
    system types) of issuing a warning and reverting to polling.  tail -f
    still uses polling for files on VMHGFS file systems.